> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Profile attribute

> Get profile attribute values from user profiles.

Further information on user profiles, device profiles and attributes can be found in the [guide on user data](https://docs.xtremepush.com/docs/users).

Note: Logging of profile subscription changes is turned off by default and this API method will return empty result sets. If you believe you need access to this data, please contact us.

## OpenAPI

````json POST /list/profile-attribute
{
  "openapi": "3.1.0",
  "info": {
    "title": "external-api",
    "version": "1"
  },
  "servers": [
    {
      "url": "https://api.eu.xtremepush.com/api/external"
    }
  ],
  "paths": {
    "/list/profile-attribute": {
      "post": {
        "summary": "Profile attribute",
        "description": "Get profile attribute values from user profiles.\n\nFurther information on user profiles, device profiles and attributes can be found in the [guide on user data](https://docs.xtremepush.com/docs/users).\n\nNote: Logging of profile subscription changes is turned off by default and this API method will return empty result sets. If you believe you need access to this data, please contact us.",
        "operationId": "user-profile-attribute",
        "deprecated": "false",
        "requestBody": {
          "required": "true",
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "apptoken"
                ],
                "properties": {
                  "apptoken": {
                    "type": "string",
                    "description": "Your App token"
                  },
                  "order": {
                    "type": "array",
                    "description": "Order the results in either ascending or descending order based on any of the attributes, eg. `[\"attribute_name\"]` or `[\"update_time DESC\"]`",
                    "items": {
                      "type": "string"
                    }
                  },
                  "select": {
                    "type": "array",
                    "description": "Select what attributes to return, eg. `[\"value\", \"update_time\"]`",
                    "items": {
                      "type": "string"
                    }
                  },
                  "condition": {
                    "type": "string",
                    "format": "json",
                    "description": "Filter the user profiles based on some criteria, eg. `[ [\"user_id\", \"=\", \"USER_ID\"] ]`"
                  },
                  "limit": {
                    "type": "integer",
                    "format": "int32",
                    "description": "Used with *offset* for pagination, eg. `\"limit\": 50, \"offset\": 0` returns a max of 50 results starting at position 0"
                  },
                  "offset": {
                    "type": "integer",
                    "format": "int32",
                    "description": "Used with *limit* for pagination"
                  }
                }
              },
              "examples": {
                "Get all attributes for a single user profile": {
                  "value": {
                    "apptoken": "YOUR_APPTOKEN",
                    "condition": [
                      [
                        "user_id",
                        "=",
                        "USER_ID"
                      ]
                    ]
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": "true",
                      "default": "true"
                    },
                    "code": {
                      "type": "integer",
                      "example": "200",
                      "default": "0"
                    },
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "project_id": {
                            "type": "integer",
                            "example": "2780",
                            "default": "0"
                          },
                          "profile_id": {
                            "type": "string",
                            "example": "11eb0ca1610252948bc7061c72c7ac00"
                          },
                          "value": {
                            "type": "string",
                            "example": "Belle"
                          },
                          "attribute_name": {
                            "type": "string",
                            "example": "first_name"
                          },
                          "user_id": {
                            "type": "string",
                            "example": "1234"
                          },
                          "update_time": {
                            "type": "integer",
                            "example": "1633523110",
                            "default": "0"
                          }
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "Result": {
                    "value": {
                      "success": "true",
                      "code": "200",
                      "data": [
                        {
                          "project_id": "2780",
                          "profile_id": "11eb0ca1610252948bc7061c72c7ac00",
                          "value": "Belle",
                          "attribute_name": "first_name",
                          "user_id": "1234",
                          "update_time": "1633523110"
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": "false",
                      "default": "true"
                    },
                    "code": {
                      "type": "integer",
                      "example": "400",
                      "default": "0"
                    },
                    "message": {
                      "type": "string",
                      "example": "General error information"
                    },
                    "errors": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "text": {
                            "type": "array",
                            "items": {
                              "type": "string"
                            }
                          }
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "Result": {
                    "value": {
                      "success": "false",
                      "code": "400",
                      "message": "General error information",
                      "errors": [
                        {
                          "text": [
                            "Detailed information about the specific error"
                          ]
                        }
                      ]
                    }
                  }
                }
              }
            }
          }
        },
        "tags": [
          "User Profile Methods"
        ]
      }
    }
  }
}
````

